> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the count of pending upload requests

> Returns the count of all pending upload requests for the given external connection.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/external-connects.yml get /external_connections/{id}/uploads/status
openapi: 3.1.0
info:
  title: Telnyx External Connects API
  version: 2.0.0
  description: API for External connects.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /external_connections/{id}/uploads/status:
    get:
      tags:
        - External Connections
      summary: Get the count of pending upload requests
      description: >-
        Returns the count of all pending upload requests for the given external
        connection.
      operationId: GetExternalConnectionUploadsStatus
      parameters:
        - $ref: '#/components/parameters/external-voice-integrations_id'
      responses:
        '200':
          $ref: '#/components/responses/GetUploadsStatusResponse'
        '401':
          description: Unauthorized
        '404':
          description: Not found
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.externalConnections.uploads.pendingCount('1293384261075731499');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.external_connections.uploads.pending_count(
                "1293384261075731499",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.ExternalConnections.Uploads.PendingCount(context.TODO(), \"1293384261075731499\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.externalconnections.uploads.UploadPendingCountParams;

            import
            com.telnyx.sdk.models.externalconnections.uploads.UploadPendingCountResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    UploadPendingCountResponse response = client.externalConnections().uploads().pendingCount("1293384261075731499");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.external_connections.uploads.pending_count("1293384261075731499")


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->externalConnections->uploads->pendingCount(
                '1293384261075731499'
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx external-connections:uploads pending-count \
              --api-key 'My API Key' \
              --id 1293384261075731499
components:
  parameters:
    external-voice-integrations_id:
      name: id
      description: Identifies the resource.
      in: path
      required: true
      schema:
        type: string
        example: '1293384261075731499'
        x-format: int64
  responses:
    GetUploadsStatusResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            title: Get Uploads Status Response
            properties:
              data:
                type: object
                properties:
                  pending_numbers_count:
                    type: integer
                    description: >-
                      The count of phone numbers that are pending assignment to
                      the external connection.
                  pending_orders_count:
                    type: integer
                    description: >-
                      The count of number uploads that have not yet been
                      uploaded to Microsoft.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````